Index: src/northbridge/intel/i82810/raminit.c
===================================================================
--- src/northbridge/intel/i82810/raminit.c	(revision 3942)
+++ src/northbridge/intel/i82810/raminit.c	(working copy)
@@ -141,7 +141,7 @@
 			PRINT_DEBUG_HEX8(reg8);
 			PRINT_DEBUG(" to 0x");
 			PRINT_DEBUG_HEX32(addr);
-			PRINT_DEBUG("\r\n");
+			PRINT_DEBUG("\n");
 
 			read32(addr);
 		}
@@ -153,7 +153,7 @@
 			PRINT_DEBUG_HEX8(reg8);
 			PRINT_DEBUG(" to 0x");
 			PRINT_DEBUG_HEX32(addr);
-			PRINT_DEBUG("\r\n");
+			PRINT_DEBUG("\n");
 
 			read32(addr);
 		}
@@ -183,14 +183,14 @@
 		if (smbus_read_byte(DIMM_SPD_BASE + i, 2) == 4) {
 			print_debug("Found DIMM in slot ");
 			print_debug_hex8(i);
-			print_debug("\r\n");
+			print_debug("\n");
 
 			dimm_size = smbus_read_byte(DIMM_SPD_BASE + i, 31);
 
 			/* WISHLIST: would be nice to display it as decimal? */
 			print_debug("DIMM is 0x");
 			print_debug_hex8(dimm_size * 4);
-			print_debug("MB\r\n");
+			print_debug("MB\n");
 
 			/* The i810 can't handle DIMMs larger than 128MB per
 			 * side. This will fail if the DIMM uses a
@@ -200,9 +200,9 @@
 			 */
 			if (dimm_size > 32) {
 				print_err("DIMM row sizes larger than 128MB not"
-					  "supported on i810\r\n");
+					  "supported on i810\n");
 				print_err
-				    ("Attempting to treat as 128MB DIMM\r\n");
+				    ("Attempting to treat as 128MB DIMM\n");
 				dimm_size = 32;
 			}
 
@@ -214,19 +214,19 @@
 
 			print_debug("After translation, dimm_size is 0x");
 			print_debug_hex8(dimm_size);
-			print_debug("\r\n");
+			print_debug("\n");
 
 			/* If the DIMM is dual-sided, the DRP value is +2 */
 			/* TODO: Figure out asymetrical configurations. */
 			if ((smbus_read_byte(DIMM_SPD_BASE + i, 127) | 0xf) ==
 			    0xff) {
-				print_debug("DIMM is dual-sided\r\n");
+				print_debug("DIMM is dual-sided\n");
 				dimm_size += 2;
 			}
 		} else {
 			print_debug("No DIMM found in slot ");
 			print_debug_hex8(i);
-			print_debug("\r\n");
+			print_debug("\n");
 
 			/* If there's no DIMM in the slot, set value to 0. */
 			dimm_size = 0x00;
@@ -238,7 +238,7 @@
 
 	print_debug("DRP calculated to 0x");
 	print_debug_hex8(drp);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	pci_write_config8(PCI_DEV(0, 0, 0), DRP, drp);
 }
@@ -343,32 +343,32 @@
 	int i;
 
 	/* 1. Apply NOP. */
-	PRINT_DEBUG("RAM Enable 1: Apply NOP\r\n");
+	PRINT_DEBUG("RAM Enable 1: Apply NOP\n");
 	do_ram_command(RAM_COMMAND_NOP);
 	udelay(200);
 
 	/* 2. Precharge all. Wait tRP. */
-	PRINT_DEBUG("RAM Enable 2: Precharge all\r\n");
+	PRINT_DEBUG("RAM Enable 2: Precharge all\n");
 	do_ram_command(RAM_COMMAND_PRECHARGE);
 	udelay(1);
 
 	/* 3. Perform 8 refresh cycles. Wait tRC each time. */
-	PRINT_DEBUG("RAM Enable 3: CBR\r\n");
+	PRINT_DEBUG("RAM Enable 3: CBR\n");
 	for (i = 0; i < 8; i++) {
 		do_ram_command(RAM_COMMAND_CBR);
 		udelay(1);
 	}
 
 	/* 4. Mode register set. Wait two memory cycles. */
-	PRINT_DEBUG("RAM Enable 4: Mode register set\r\n");
+	PRINT_DEBUG("RAM Enable 4: Mode register set\n");
 	do_ram_command(RAM_COMMAND_MRS);
 	udelay(2);
 
 	/* 5. Normal operation (enables refresh) */
-	PRINT_DEBUG("RAM Enable 5: Normal operation\r\n");
+	PRINT_DEBUG("RAM Enable 5: Normal operation\n");
 	do_ram_command(RAM_COMMAND_NORMAL);
 	udelay(1);
 
-	PRINT_DEBUG("Northbridge following SDRAM init:\r\n");
+	PRINT_DEBUG("Northbridge following SDRAM init:\n");
 	DUMPNORTH();
 }
Index: src/northbridge/intel/i82810/debug.c
===================================================================
--- src/northbridge/intel/i82810/debug.c	(revision 3942)
+++ src/northbridge/intel/i82810/debug.c	(working copy)
@@ -2,7 +2,7 @@
 static void dump_spd_registers(void)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < DIMM_SOCKETS; i++) {
 		unsigned device;
 		device = DIMM_SPD_BASE + i;
@@ -16,20 +16,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
Index: src/northbridge/intel/i3100/raminit.c
===================================================================
--- src/northbridge/intel/i3100/raminit.c	(revision 3942)
+++ src/northbridge/intel/i3100/raminit.c	(working copy)
@@ -77,7 +77,7 @@
 		reg |= register_values[i+2];
 		pci_write_config32(dev, where, reg);
 	}
-	print_spew("done.\r\n");
+	print_spew("done.\n");
 }
 
 struct dimm_size {
@@ -150,7 +150,7 @@
 	goto out;
 
  val_err:
-	die("Bad SPD value\r\n");
+	die("Bad SPD value\n");
 	/* If an hw_error occurs report that I have no memory */
  hw_err:
 	sz.side1 = 0;
@@ -278,7 +278,7 @@
 	goto out;
 
  val_err:
-	die("Bad SPD value\r\n");
+	die("Bad SPD value\n");
 	/* If an hw_error occurs report that I have no memory */
  hw_err:
 	dra = 0;
@@ -529,7 +529,7 @@
 
 	}
 	else {
-		die("Invalid SPD 9 bus speed.\r\n");
+		die("Invalid SPD 9 bus speed.\n");
 	}
 
 	/* 0x78 DRT */
@@ -557,7 +557,7 @@
 			continue;
 		}
 		value = spd_read_byte(ctrl->channel0[cnt], 11);	/* ECC */
-		if (value != 2) die("ERROR - Non ECC memory dimm\r\n");
+		if (value != 2) die("ERROR - Non ECC memory dimm\n");
 
 		value = spd_read_byte(ctrl->channel0[cnt], 12);	/*refresh rate*/
 		value &= 0x0f;    /* clip self refresh bit */
@@ -596,7 +596,7 @@
 	goto out;
 
  val_err:
-	die("Bad SPD value\r\n");
+	die("Bad SPD value\n");
 	/* If an hw_error occurs report that I have no memory */
  hw_err:
 	drc = 0;
@@ -611,7 +611,7 @@
 	/* Test if we can read the spd and if ram is ddr or ddr2 */
 	dimm_mask = spd_detect_dimms(ctrl);
 	if (!(dimm_mask & ((1 << DIMM_SOCKETS) - 1))) {
-		print_err("No memory for this cpu\r\n");
+		print_err("No memory for this cpu\n");
 		return;
 	}
 	return;
@@ -684,12 +684,12 @@
 		data32 = 0x777becdc; /* ESSD */
 		break;
 	    }
-	    die("Error - First dimm slot empty\r\n");
+	    die("Error - First dimm slot empty\n");
 	}
 
 	print_debug("ODT Value = ");
 	print_debug_hex32(data32);
-	print_debug("\r\n");
+	print_debug("\n");
 
   	pci_write_config32(ctrl->f0, DDR2ODTC, data32);
 
@@ -922,7 +922,7 @@
 	print_debug_hex32(recena);
 	print_debug(",  Receive enable B = ");
 	print_debug_hex32(recenb);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	/* clear out the calibration area */
 	write32(MCBAR+DCALDATA+(16*4), 0x00000000);
@@ -978,7 +978,7 @@
 		0xffffffff, 0xffffffff, 0x000000ff};
 
 	mask = spd_detect_dimms(ctrl);
-	print_debug("Starting SDRAM Enable\r\n");
+	print_debug("Starting SDRAM Enable\n");
 
 	/* 0x80 */
 #ifdef DIMM_MAP_LOGICAL
@@ -990,7 +990,7 @@
 	/* set dram type and Front Side Bus freq. */
 	drc = spd_set_dram_controller_mode(ctrl, mask);
 	if( drc == 0) {
-		die("Error calculating DRC\r\n");
+		die("Error calculating DRC\n");
 	}
 	data32 = drc & ~(3 << 20);  /* clear ECC mode */
 	data32 = data32 & ~(7 << 8);  /* clear refresh rates */
@@ -1025,7 +1025,7 @@
 	for(i=0;i<8;i+=2) { /* loop through each dimm to test */
 		print_debug("DIMM ");
 		print_debug_hex8(i);
-		print_debug("\r\n");
+		print_debug("\n");
 		/* Apply NOP */
 		do_delay();
 
@@ -1178,7 +1178,7 @@
 	write32(MCBAR+DCALCSR, 0x0008000f);
 
 	/* clear memory and init ECC */
-	print_debug("Clearing memory\r\n");
+	print_debug("Clearing memory\n");
 	for(i=0;i<64;i+=4) {
 		write32(MCBAR+DCALDATA+i, 0x00000000);
 	}
@@ -1195,13 +1195,13 @@
 	data32 |= (1 << 31);
 	pci_write_config32(ctrl->f0, 0x98, data32);
 	/* wait for completion */
-	print_debug("Waiting for mem complete\r\n");
+	print_debug("Waiting for mem complete\n");
 	while(1) {
 		data32 = pci_read_config32(ctrl->f0, 0x98);
 		if( (data32 & (1<<31)) == 0)
 			break;
 	}
-	print_debug("Done\r\n");
+	print_debug("Done\n");
 
 	/* Set initialization complete */
 	/* 0x7c DRC */
Index: src/northbridge/intel/i3100/raminit_ep80579.c
===================================================================
--- src/northbridge/intel/i3100/raminit_ep80579.c	(revision 3942)
+++ src/northbridge/intel/i3100/raminit_ep80579.c	(working copy)
@@ -123,7 +123,7 @@
 	goto out;
 
  val_err:
-	die("Bad SPD value\r\n");
+	die("Bad SPD value\n");
 	/* If an hw_error occurs report that I have no memory */
  hw_err:
 	sz.side1 = 0;
@@ -135,7 +135,7 @@
 	print_debug_hex8(sz.side1);
 	print_debug(".");
 	print_debug_hex8(sz.side2);
-	print_debug("\r\n");
+	print_debug("\n");
 	return sz;
 
 }
@@ -168,14 +168,14 @@
 	}
 	print_debug("DRB = ");
 	print_debug_hex32(pci_read_config32(ctrl->f0, DRB));
-	print_debug("\r\n");
+	print_debug("\n");
 
 	cum >>= 1;
 	/* set TOM top of memory */
 	pci_write_config16(ctrl->f0, TOM, cum);
 	print_debug("TOM = ");
 	print_debug_hex16(cum);
-	print_debug("\r\n");
+	print_debug("\n");
 	/* set TOLM top of low memory */
 	if (cum > 0x18) {
 		cum = 0x18;
@@ -184,7 +184,7 @@
 	pci_write_config16(ctrl->f0, TOLM, cum);
 	print_debug("TOLM = ");
 	print_debug_hex16(cum);
-	print_debug("\r\n");
+	print_debug("\n");
 	return 0;
 }
 
@@ -203,7 +203,7 @@
 			print_debug_hex8(device);
 			print_debug(" = ");
 			print_debug_hex8(byte);
-			print_debug("\r\n");
+			print_debug("\n");
 			if (byte == 8) {
 				dimm_mask |= (1 << i);
 			}
@@ -228,29 +228,29 @@
 		}
 
 		value = spd_read_byte(ctrl->channel0[i], SPD_NUM_ROWS);
-		if (value < 0) die("Bad SPD data\r\n");
-		if ((value & 0xf) == 0) die("Invalid # of rows\r\n");
+		if (value < 0) die("Bad SPD data\n");
+		if ((value & 0xf) == 0) die("Invalid # of rows\n");
 		dra |= (((value-13) & 0x7) << 23);
 		dra |= (((value-13) & 0x7) << 29);
 		reg += value & 0xf;
 
 		value = spd_read_byte(ctrl->channel0[i], SPD_NUM_COLUMNS);
-		if (value < 0) die("Bad SPD data\r\n");
-		if ((value & 0xf) == 0) die("Invalid # of columns\r\n");
+		if (value < 0) die("Bad SPD data\n");
+		if ((value & 0xf) == 0) die("Invalid # of columns\n");
 		dra |= (((value-10) & 0x7) << 20);
 		dra |= (((value-10) & 0x7) << 26);
 		reg += value & 0xf;
 
 		value = spd_read_byte(ctrl->channel0[i], SPD_NUM_BANKS_PER_SDRAM);
-		if (value < 0) die("Bad SPD data\r\n");
-		if ((value & 0xff) == 0) die("Invalid # of banks\r\n");
+		if (value < 0) die("Bad SPD data\n");
+		if ((value & 0xff) == 0) die("Invalid # of banks\n");
 		reg += log2(value & 0xff);
 
 		print_debug("dimm ");
 		print_debug_hex8(i);
 		print_debug(" reg = ");
 		print_debug_hex8(reg);
-		print_debug("\r\n");
+		print_debug("\n");
 
 		/* set device density */
 		dra |= ((31-reg));
@@ -271,7 +271,7 @@
 		print_debug_hex8(i);
 		print_debug(" = ");
 		print_debug_hex32(dra);
-		print_debug("\r\n");
+		print_debug("\n");
 
 		pci_write_config32(ctrl->f0, DRA + (i*4), dra);
 	}
@@ -321,10 +321,10 @@
 	else if (val & 0x40)
 		cl = 6;
 	else
-		die("CAS latency mismatch\r\n");
+		die("CAS latency mismatch\n");
 	print_debug("cl = ");
 	print_debug_hex8(cl);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	ci = cycle[index];
 
@@ -350,10 +350,10 @@
 	}
 	print_debug("trc = ");
 	print_debug_hex8(trc);
-	print_debug("\r\n");
+	print_debug("\n");
 	print_debug("trfc = ");
 	print_debug_hex8(trfc);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	/* Tras, Trtp, Twtr in cycles */
 	for (i = 0; i < DIMM_SOCKETS; i++) {
@@ -375,38 +375,38 @@
 	}
 	print_debug("tras = ");
 	print_debug_hex8(tras);
-	print_debug("\r\n");
+	print_debug("\n");
 	print_debug("trtp = ");
 	print_debug_hex8(trtp);
-	print_debug("\r\n");
+	print_debug("\n");
 	print_debug("twtr = ");
 	print_debug_hex8(twtr);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	val = (drt0[index] | ((trc - 11) << 12) | ((cl - 3) << 9)
 	       | ((cl - 3) << 6) | ((cl - 3) << 3));
 	print_debug("drt0 = ");
 	print_debug_hex32(val);
-	print_debug("\r\n");
+	print_debug("\n");
 	pci_write_config32(ctrl->f0, DRT0, val);
 
 	val = (drt1[index] | ((tras - 8) << 28) | ((trtp - 2) << 25)
 	       | (twtr << 15));
 	print_debug("drt1 = ");
 	print_debug_hex32(val);
-	print_debug("\r\n");
+	print_debug("\n");
 	pci_write_config32(ctrl->f0, DRT1, val);
 
 	val = (magic[index]);
 	print_debug("magic = ");
 	print_debug_hex32(val);
-	print_debug("\r\n");
+	print_debug("\n");
 	pci_write_config32(PCI_DEV(0, 0x08, 0), 0xcc, val);
 
 	val = (mrs[index] | (cl << 20));
 	print_debug("mrs = ");
 	print_debug_hex32(val);
-	print_debug("\r\n");
+	print_debug("\n");
 	return val;
 }
 
@@ -423,11 +423,11 @@
 		if (!(dimm_mask & (1 << i)))
 			continue;
 		if ((spd_read_byte(ctrl->channel0[i], SPD_MODULE_DATA_WIDTH_LSB) & 0xf0) != 0x40)
-			die("ERROR: Only 64-bit DIMMs supported\r\n");
+			die("ERROR: Only 64-bit DIMMs supported\n");
 		if (!(spd_read_byte(ctrl->channel0[i], SPD_DIMM_CONFIG_TYPE) & 0x02))
-			die("ERROR: Only ECC DIMMs supported\r\n");
+			die("ERROR: Only ECC DIMMs supported\n");
 		if (spd_read_byte(ctrl->channel0[i], SPD_PRIMARY_SDRAM_WIDTH) != 0x08)
-			die("ERROR: Only x8 DIMMs supported\r\n");
+			die("ERROR: Only x8 DIMMs supported\n");
 
 		value = spd_read_byte(ctrl->channel0[i], SPD_MIN_CYCLE_TIME_AT_CAS_MAX);
 		if (value > cycle)
@@ -435,7 +435,7 @@
 	}
 	print_debug("cycle = ");
 	print_debug_hex8(cycle);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	drc |= (1 << 20); /* enable ECC */
 	drc |= (3 << 30); /* enable CKE on each DIMM */
@@ -447,42 +447,42 @@
 	print_debug("msr 0xcd = ");
 	print_debug_hex32(msr.hi);
 	print_debug_hex32(msr.lo);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	/* TODO check that this msr really indicates fsb speed! */
 	if (msr.lo & 0x07) {
-		print_info("533 MHz FSB\r\n");
+		print_info("533 MHz FSB\n");
 		if (cycle <= 0x25) {
 			drc |= 0x5;
-			print_info("400 MHz DDR\r\n");
+			print_info("400 MHz DDR\n");
 		} else if (cycle <= 0x30) {
 			drc |= 0x7;
-			print_info("333 MHz DDR\r\n");
+			print_info("333 MHz DDR\n");
 		} else if (cycle <= 0x3d) {
 			drc |= 0x4;
-			print_info("266 MHz DDR\r\n");
+			print_info("266 MHz DDR\n");
 		} else {
 			drc |= 0x2;
-			print_info("200 MHz DDR\r\n");
+			print_info("200 MHz DDR\n");
 		}
 	}
 	else {
-		print_info("400 MHz FSB\r\n");
+		print_info("400 MHz FSB\n");
 		if (cycle <= 0x30) {
 			drc |= 0x7;
-			print_info("333 MHz DDR\r\n");
+			print_info("333 MHz DDR\n");
 		} else if (cycle <= 0x3d) {
 			drc |= 0x0;
-			print_info("266 MHz DDR\r\n");
+			print_info("266 MHz DDR\n");
 		} else {
 			drc |= 0x2;
-			print_info("200 MHz DDR\r\n");
+			print_info("200 MHz DDR\n");
 		}
 	}
 
 	print_debug("DRC = ");
 	print_debug_hex32(drc);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	return drc;
 }
@@ -495,7 +495,7 @@
 	/* Test if we can read the SPD */
 	dimm_mask = spd_detect_dimms(ctrl);
 	if (!(dimm_mask & ((1 << DIMM_SOCKETS) - 1))) {
-		print_err("No memory for this cpu\r\n");
+		print_err("No memory for this cpu\n");
 		return;
 	}
 	return;
@@ -525,14 +525,14 @@
 
 	print_debug("ODT Value = ");
 	print_debug_hex32(data32);
-	print_debug("\r\n");
+	print_debug("\n");
 
   	pci_write_config32(ctrl->f0, DDR2ODTC, data32);
 
 	for (i = 0; i < 2; i++) {
 		print_debug("ODT CS");
 		print_debug_hex8(i);
-		print_debug("\r\n");
+		print_debug("\n");
 
 		write32(BAR+DCALADDR, 0x0b840001);
 		write32(BAR+DCALCSR, 0x80000003 | ((i+1)<<21));
@@ -548,14 +548,14 @@
 	int i;
 	for (i = 0x0; i < 0x2a0; i += 4) {
 		if ((i % 16) == 0) {
-			print_debug("\r\n");
+			print_debug("\n");
 			print_debug_hex16(i);
 			print_debug(": ");
 		}
 		print_debug_hex32(read32(BAR+i));
 		print_debug(" ");
 	}
-	print_debug("\r\n");
+	print_debug("\n");
 }
 
 
@@ -571,12 +571,12 @@
 	u16 data16;
 
 	mask = spd_detect_dimms(ctrl);
-	print_debug("Starting SDRAM Enable\r\n");
+	print_debug("Starting SDRAM Enable\n");
 
 	/* Set DRAM type and Front Side Bus frequency */
 	drc = spd_set_dram_controller_mode(ctrl, mask);
 	if (drc == 0) {
-		die("Error calculating DRC\r\n");
+		die("Error calculating DRC\n");
 	}
 	data32 = drc & ~(3 << 20);  /* clear ECC mode */
 	data32 = data32 | (3 << 5);  /* temp turn off ODT */
@@ -601,7 +601,7 @@
 	for (cs = 0; cs < 2; cs++) {
 		print_debug("NOP CS");
 		print_debug_hex8(cs);
-		print_debug("\r\n");
+		print_debug("\n");
 		udelay(16);
 		write32(BAR+DCALCSR, (0x00000000 | ((cs+1)<<21)));
 		write32(BAR+DCALCSR, (0x80000000 | ((cs+1)<<21)));
@@ -615,7 +615,7 @@
 	for (cs = 0; cs < 2; cs++) {
 		print_debug("NOP CS");
 		print_debug_hex8(cs);
-		print_debug("\r\n");
+		print_debug("\n");
 		write32(BAR + DCALCSR, (0x80000000 | ((cs+1)<<21))); 
 		data32 = read32(BAR+DCALCSR);
 		while (data32 & 0x80000000)
@@ -627,7 +627,7 @@
 	for (cs = 0; cs < 2; cs++) {	
 		print_debug("Precharge CS");
 		print_debug_hex8(cs);
-		print_debug("\r\n");
+		print_debug("\n");
 		write32(BAR+DCALADDR, 0x04000000);
 		write32(BAR+DCALCSR, (0x80000002 | ((cs+1)<<21)));
 		data32 = read32(BAR+DCALCSR);
@@ -640,7 +640,7 @@
 	for (cs = 0; cs < 2; cs++) {	
 		print_debug("EMRS CS");
 		print_debug_hex8(cs);
-		print_debug("\r\n");
+		print_debug("\n");
 		write32(BAR+DCALADDR, 0x0b840001);
 		write32(BAR+DCALCSR, (0x80000003 | ((cs+1)<<21)));
 		data32 = read32(BAR+DCALCSR);
@@ -652,7 +652,7 @@
 	for (cs = 0; cs < 2; cs++) {	
 		print_debug("MRS CS");
 		print_debug_hex8(cs);
-		print_debug("\r\n");
+		print_debug("\n");
 		write32(BAR+DCALADDR, mode_reg);
 		write32(BAR+DCALCSR, (0x80000003 | ((cs+1)<<21)));
 		data32 = read32(BAR+DCALCSR);
@@ -665,7 +665,7 @@
 	for (cs = 0; cs < 2; cs++) {	
 		print_debug("Precharge CS");
 		print_debug_hex8(cs);
-		print_debug("\r\n");
+		print_debug("\n");
 		write32(BAR+DCALADDR, 0x04000000);
 		write32(BAR+DCALCSR, (0x80000002 | ((cs+1)<<21)));
 		data32 = read32(BAR+DCALCSR);
@@ -679,7 +679,7 @@
 		for (cs = 0; cs < 2; cs++) {	
 			print_debug("Refresh CS");
 			print_debug_hex8(cs);
-			print_debug("\r\n");
+			print_debug("\n");
 			write32(BAR+DCALCSR, (0x80000001 | ((cs+1)<<21)));
 			data32 = read32(BAR+DCALCSR);
 			while (data32 & 0x80000000)
@@ -692,7 +692,7 @@
 	for (cs = 0; cs < 2; cs++) {	
 		print_debug("MRS CS");
 		print_debug_hex8(cs);
-		print_debug("\r\n");
+		print_debug("\n");
 		write32(BAR+DCALADDR, (mode_reg & ~(1<<24)));
 		write32(BAR+DCALCSR, (0x80000003 | ((cs+1)<<21)));
 		data32 = read32(BAR+DCALCSR);
@@ -705,7 +705,7 @@
 	for (cs = 0; cs < 2; cs++) {
 		print_debug("EMRS CS");
 		print_debug_hex8(cs);
-		print_debug("\r\n");
+		print_debug("\n");
 		write32(BAR+DCALADDR, 0x0b840001);
 		write32(BAR+DCALCSR, (0x80000003 | ((cs+1)<<21)));
 		data32 = read32(BAR+DCALCSR);
@@ -729,7 +729,7 @@
 	for (cs = 0; cs < 1; cs++) {
 		print_debug("receive enable calibration CS");
 		print_debug_hex8(cs);
-		print_debug("\r\n");
+		print_debug("\n");
 		write32(BAR+DCALCSR, (0x8000000c | ((cs+1)<<21)));
 		data32 = read32(BAR+DCALCSR);
 		while (data32 & 0x80000000)
@@ -756,17 +756,17 @@
 			continue;
 		print_debug("clear memory CS");
 		print_debug_hex8(cs);
-		print_debug("\r\n");
+		print_debug("\n");
 		write32(BAR+MBCSR, 0xa00000f0 | ((cs+1)<<20) | (0<<16));
 		data32 = read32(BAR+MBCSR);
 		while (data32 & 0x80000000)
 			data32 = read32(BAR+MBCSR);
 		if (data32 & 0x40000000)
-			print_debug("failed!\r\n");
+			print_debug("failed!\n");
 	}
 
 	/* Clear read/write FIFO pointers */
-	print_debug("clear read/write fifo pointers\r\n");
+	print_debug("clear read/write fifo pointers\n");
 	write32(BAR+DDRIOMC2, read32(BAR+DDRIOMC2) | (1<<15));
 	udelay(16);
 	write32(BAR+DDRIOMC2, read32(BAR+DDRIOMC2) & ~(1<<15));
@@ -774,7 +774,7 @@
 
 	dump_dcal_regs();
 
-	print_debug("Done\r\n");
+	print_debug("Done\n");
 
 	/* Set initialization complete */
 	drc |= (1 << 29);
Index: src/northbridge/intel/i82830/raminit.c
===================================================================
--- src/northbridge/intel/i82830/raminit.c	(revision 3942)
+++ src/northbridge/intel/i82830/raminit.c	(working copy)
@@ -100,7 +100,7 @@
 			PRINT_DEBUG_HEX32(reg32);
 			PRINT_DEBUG(" to 0x");
 			PRINT_DEBUG_HEX32((dimm_start * 32 * 1024 * 1024) + addr_offset);
-			PRINT_DEBUG("\r\n");
+			PRINT_DEBUG("\n");
 			read32((dimm_start * 32 * 1024 * 1024) + addr_offset);
 		}
 		/* Set the start of the next DIMM. */
@@ -178,28 +178,28 @@
 		if (spd_read_byte(device, 2) == 0x4) {
 			print_debug("Found DIMM in slot ");
 			print_debug_hex8(i);
-			print_debug("\r\n");
+			print_debug("\n");
 
 			sz = spd_get_dimm_size(device);
 
 			/* WISHLIST: would be nice to display it as decimal? */
 			print_debug("DIMM is 0x");
 			print_debug_hex16(sz.side1);
-			print_debug(" on side 1\r\n");
+			print_debug(" on side 1\n");
 			print_debug("DIMM is 0x");
 			print_debug_hex16(sz.side2);
-			print_debug(" on side 2\r\n");
+			print_debug(" on side 2\n");
 
 			/* Test for PC133 (i82830 only supports PC133) */
 			/* PC133 SPD9 - cycle time is always 75 */
 			if (spd_read_byte(device, 9) != 0x75) {
-				print_err("SPD9 DIMM Is Not PC133 Compatable\r\n");
-				die("HALT\r\n");
+				print_err("SPD9 DIMM Is Not PC133 Compatable\n");
+				die("HALT\n");
 			}
 			/* PC133 SPD10 - access time is always 54 */
 			if (spd_read_byte(device, 10) != 0x54) {
-				print_err("SPD10 DIMM Is Not PC133 Compatable\r\n");
-				die("HALT\r\n");
+				print_err("SPD10 DIMM Is Not PC133 Compatable\n");
+				die("HALT\n");
 			}
 
 			/* The i82830 only supports a symmetrical dual-sided dimms
@@ -207,23 +207,23 @@
 			 * side or larger than 256MB per side.
 			 */
 			if ((sz.side2 != 0) && (sz.side1 != sz.side2)) {
-				print_err("This northbridge only supports\r\n");
-				print_err("symmetrical dual-sided DIMMs\r\n");
-				print_err("booting as a single-sided DIMM\r\n");
+				print_err("This northbridge only supports\n");
+				print_err("symmetrical dual-sided DIMMs\n");
+				print_err("booting as a single-sided DIMM\n");
 				sz.side2 = 0;
 			}
 			if ((sz.side1 < 32)) {
-				print_err("DIMMs smaller than 32MB per side\r\n");
-				print_err("are not supported on this northbridge\r\n");
-				die("HALT\r\n");
+				print_err("DIMMs smaller than 32MB per side\n");
+				print_err("are not supported on this northbridge\n");
+				die("HALT\n");
 			}
 
 			if ((sz.side1 > 256)) {
 				print_err
-				    ("DIMMs larger than 256MB per side\r\n");
+				    ("DIMMs larger than 256MB per side\n");
 				print_err
-				    ("are not supported on this northbridge\r\n");
-				die("HALT\r\n");
+				    ("are not supported on this northbridge\n");
+				die("HALT\n");
 			}
 
 			/* We need to divide size by 32 to set up the
@@ -236,7 +236,7 @@
 		} else {
 			PRINT_DEBUG("No DIMM found in slot ");
 			PRINT_DEBUG_HEX8(i);
-			PRINT_DEBUG("\r\n");
+			PRINT_DEBUG("\n");
 
 			/* If there's no DIMM in the slot, set value to 0. */
 			drb1 = 0;
@@ -250,12 +250,12 @@
 			PRINT_DEBUG_HEX8(DRB);
 			PRINT_DEBUG(" has been set to 0x");
 			PRINT_DEBUG_HEX8(drb1);
-			PRINT_DEBUG("\r\n");
+			PRINT_DEBUG("\n");
 			PRINT_DEBUG("DRB1 0x");
 			PRINT_DEBUG_HEX8(DRB + 1);
 			PRINT_DEBUG(" has been set to 0x");
 			PRINT_DEBUG_HEX8(drb1 + drb2);
-			PRINT_DEBUG("\r\n");
+			PRINT_DEBUG("\n");
 		} else if (i == 1) {
 			value = pci_read_config8(ctrl->d0, DRB + 1);
 			pci_write_config8(ctrl->d0, DRB + 2, value + drb1);
@@ -265,12 +265,12 @@
 			PRINT_DEBUG_HEX8(DRB + 2);
 			PRINT_DEBUG(" has been set to 0x");
 			PRINT_DEBUG_HEX8(value + drb1);
-			PRINT_DEBUG("\r\n");
+			PRINT_DEBUG("\n");
 			PRINT_DEBUG("DRB3 0x");
 			PRINT_DEBUG_HEX8(DRB + 3);
 			PRINT_DEBUG(" has been set to 0x");
 			PRINT_DEBUG_HEX8(value + drb1 + drb2);
-			PRINT_DEBUG("\r\n");
+			PRINT_DEBUG("\n");
 
 			/* We need to set the highest DRB value to 0x64 and 0x65.
 			 * These are supposed to be "Reserved" but memory will
@@ -295,7 +295,7 @@
 		if (spd_read_byte(device, 2) == 0x4) {
 			print_debug("Found DIMM in slot ");
 			print_debug_hex8(i);
-			print_debug(", setting DRA...\r\n");
+			print_debug(", setting DRA...\n");
 
 			dra = 0x00;
 
@@ -324,8 +324,8 @@
 				} else if (dra == 16) {
 					dra = 0xF3; /* 16KB */
 				} else {
-					print_err("Page size not supported\r\n");
-					die("HALT\r\n");
+					print_err("Page size not supported\n");
+					die("HALT\n");
 				}
 			} else if (value == 2) {
 				if (dra == 2) {
@@ -337,18 +337,18 @@
 				} else if (dra == 16) {
 					dra = 0x33; /* 16KB */
 				} else {
-					print_err("Page size not supported\r\n");
-					die("HALT\r\n");
+					print_err("Page size not supported\n");
+					die("HALT\n");
 				}
 			} else {
-				print_err("# of banks of DIMM not supported\r\n");
-				die("HALT\r\n");
+				print_err("# of banks of DIMM not supported\n");
+				die("HALT\n");
 			}
 
 		} else {
 			PRINT_DEBUG("No DIMM found in slot ");
 			PRINT_DEBUG_HEX8(i);
-			PRINT_DEBUG(", setting DRA to 0xFF\r\n");
+			PRINT_DEBUG(", setting DRA to 0xFF\n");
 
 			/* If there's no DIMM in the slot, set dra value to 0xFF. */
 			dra = 0xFF;
@@ -360,7 +360,7 @@
 		PRINT_DEBUG_HEX8(DRA + i);
 		PRINT_DEBUG(" has been set to 0x");
 		PRINT_DEBUG_HEX8(dra);
-		PRINT_DEBUG("\r\n");
+		PRINT_DEBUG("\n");
 	}
 }
 
@@ -392,7 +392,7 @@
 	uint16_t value;
 	int igd_memory = 0;
 
-	PRINT_DEBUG("Setting initial registers....\r\n");
+	PRINT_DEBUG("Setting initial registers....\n");
 
 	/* Set the value for GMCH Control Register #0 */
 	pci_write_config16(ctrl->d0, GCC0, 0xA072);
@@ -446,7 +446,7 @@
 	/* Set the value for Extended System Management RAM Control Register */
 	pci_write_config8(ctrl->d0, ESMRAMC, 0x38);
 
-	PRINT_DEBUG("Initial registers have been set.\r\n");
+	PRINT_DEBUG("Initial registers have been set.\n");
 }
 
 static void sdram_set_spd_registers(const struct mem_controller *ctrl)
@@ -466,17 +466,17 @@
 	udelay(200);
 
 	/* 1. Apply NOP. */
-	PRINT_DEBUG("RAM Enable 1: Apply NOP\r\n");
+	PRINT_DEBUG("RAM Enable 1: Apply NOP\n");
 	do_ram_command(ctrl, RAM_COMMAND_NOP, 0);
 	udelay(200);
 
 	/* 2. Precharge all. Wait tRP. */
-	PRINT_DEBUG("RAM Enable 2: Precharge all\r\n");
+	PRINT_DEBUG("RAM Enable 2: Precharge all\n");
 	do_ram_command(ctrl, RAM_COMMAND_PRECHARGE, 0);
 	udelay(1);
 
 	/* 3. Perform 8 refresh cycles. Wait tRC each time. */
-	PRINT_DEBUG("RAM Enable 3: CBR\r\n");
+	PRINT_DEBUG("RAM Enable 3: CBR\n");
 	for (i = 0; i < 8; i++) {
 		do_ram_command(ctrl, RAM_COMMAND_CBR, 0);
 		udelay(1);
@@ -484,21 +484,21 @@
 
 	/* 4. Mode register set. Wait two memory cycles. */
 	/* TODO: Set offset according to DRT values */
-	PRINT_DEBUG("RAM Enable 4: Mode register set\r\n");
+	PRINT_DEBUG("RAM Enable 4: Mode register set\n");
 	do_ram_command(ctrl, RAM_COMMAND_MRS, 0x1d0);
 	udelay(2);
 
 	/* 5. Normal operation (enables refresh) */
-	PRINT_DEBUG("RAM Enable 5: Normal operation\r\n");
+	PRINT_DEBUG("RAM Enable 5: Normal operation\n");
 	do_ram_command(ctrl, RAM_COMMAND_NORMAL, 0);
 	udelay(1);
 
 	/* 6. Enable refresh and Set initialization complete. */
-	PRINT_DEBUG("RAM Enable 6: Enable Refresh and IC\r\n");
+	PRINT_DEBUG("RAM Enable 6: Enable Refresh and IC\n");
 	reg32 = pci_read_config32(ctrl->d0, DRC);
 	reg32 |= ((RAM_COMMAND_REFRESH << 8) | (RAM_COMMAND_IC << 29));
 	pci_write_config32(ctrl->d0, DRC, reg32);
 
-	PRINT_DEBUG("Northbridge following SDRAM init:\r\n");
+	PRINT_DEBUG("Northbridge following SDRAM init:\n");
 	DUMPNORTH();
 }
Index: src/arch/i386/lib/console.c
===================================================================
--- src/arch/i386/lib/console.c	(revision 3942)
+++ src/arch/i386/lib/console.c	(working copy)
@@ -28,12 +28,12 @@
 static void console_init(void)
 {
 	static const char console_test[] = 
-		"\r\n\r\ncoreboot-"
+		"\n\ncoreboot-"
 		COREBOOT_VERSION
 		COREBOOT_EXTRA_VERSION
 		" "
 		COREBOOT_BUILD
-		" starting...\r\n";
+		" starting...\n";
 	print_info(console_test);
 }
 
Index: src/drivers/generic/debug/debug_dev.c
===================================================================
--- src/drivers/generic/debug/debug_dev.c	(revision 3942)
+++ src/drivers/generic/debug/debug_dev.c	(working copy)
@@ -90,16 +90,16 @@
 		unsigned char byte;
 		status = smbus_read_byte(dev, j);
 		if (status < 0) {
-		//	printk_debug("bad device status= %08x\r\n", status);
+		//	printk_debug("bad device status= %08x\n", status);
 			break;
 		}
                 if ((j & 0xf) == 0) {
-                        printk_debug("\r\n%02x: ", j);
+                        printk_debug("\n%02x: ", j);
                 }  
 		byte = status & 0xff;
 		printk_debug("%02x ", byte);
 	}
-	printk_debug("\r\n");
+	printk_debug("\n");
 }
 
 static void print_smbus_regs_all(struct device *dev)
Index: src/drivers/ati/ragexl/xlinit.c
===================================================================
--- src/drivers/ati/ragexl/xlinit.c	(revision 3942)
+++ src/drivers/ati/ragexl/xlinit.c	(working copy)
@@ -541,7 +541,7 @@
 #endif
 
 #if 0
-	printk_debug("ati_regbase = 0x%08x, frame_buffer = 0x%08x\r\n", info->ati_regbase, info->frame_buffer);
+	printk_debug("ati_regbase = 0x%08x, frame_buffer = 0x%08x\n", info->ati_regbase, info->frame_buffer);
 #endif
 
     	chip_id = aty_ld_le32(CONFIG_CHIP_ID, info);
@@ -561,7 +561,7 @@
     	return ;
 
 found:
-    	printk_info("ati_ragexl_init: %s [0x%04x rev 0x%02x]\r\n", chipname, type, rev);
+    	printk_info("ati_ragexl_init: %s [0x%04x rev 0x%02x]\n", chipname, type, rev);
 #if 0
     	if (M64_HAS(INTEGRATED)) {
         	/* for many chips, the mclk is 67 MHz for SDRAM, 63 MHz otherwise */
Index: src/drivers/i2c/adm1027/adm1027.c
===================================================================
--- src/drivers/i2c/adm1027/adm1027.c	(revision 3942)
+++ src/drivers/i2c/adm1027/adm1027.c	(working copy)
@@ -27,7 +27,7 @@
 	result = smbus_read_byte(dev, ADM1027_REG_CONFIG1);
 
 	if (!(result & CFG1_RDY)) {
-		printk_debug("ADM1027: monitoring not ready\r\n");
+		printk_debug("ADM1027: monitoring not ready\n");
 		return;
 	}
 	result = (result | CFG1_STRT);
@@ -35,9 +35,9 @@
 
 	result = smbus_read_byte(dev, ADM1027_REG_CONFIG1);
 	if (!(result & CFG1_STRT)) {
-		printk_debug("ADM1027: monitoring would not enable\r\n");
+		printk_debug("ADM1027: monitoring would not enable\n");
 	}
-	printk_debug("ADM1027: monitoring enabled\r\n");
+	printk_debug("ADM1027: monitoring enabled\n");
 }
 
 static void adm1027_init(device_t dev)
Index: util/romcc/tests/simple_test27.c
===================================================================
--- util/romcc/tests/simple_test27.c	(revision 3942)
+++ util/romcc/tests/simple_test27.c	(working copy)
@@ -113,14 +113,14 @@
 
 void main(void)
 {
-	static const char msg[] = "hello world\r\n";
+	static const char msg[] = "hello world\n";
 	uart_init();
 #if 0
 	print_debug(msg);
 #endif
 #if 1
-	print_debug("hello world\r\n");
-	print_debug("how are you today\r\n");
+	print_debug("hello world\n");
+	print_debug("how are you today\n");
 #endif
 	while(1) {
 		;
Index: util/romcc/tests/simple_test29.c
===================================================================
--- util/romcc/tests/simple_test29.c	(revision 3942)
+++ util/romcc/tests/simple_test29.c	(working copy)
@@ -27,11 +27,11 @@
 static void console_init(void)
 {
         static const char console_test[] =
-                "\r\n\r\nLinuxBIOS-"
+                "\n\nLinuxBIOS-"
                 "1.1.0"
                 ".0Fallback"
                 " "
                 "Mon Jun 9 18:15:20 MDT 2003"
-                " starting...\r\n";
+                " starting...\n";
         __console_tx_string(6, console_test);
 }
